Bug 830985 - Black screen when booting x86_64 live CD on i686 system
Black screen when booting x86_64 live CD on i686 system
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: LiveCD (Show other bugs)
19
i686 Linux
unspecified Severity low
: ---
: ---
Assigned To: Matthias Clasen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-11 16:15 EDT by Ingo van Lil
Modified: 2015-01-09 14:54 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-01-09 14:54:45 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ingo van Lil 2012-06-11 16:15:47 EDT
Description of problem:

When I accidentally booted the F17 x86_64 live medium on my netbook it presented me with just a black screen. None of the troubleshooting options in grub made a difference. I had to edit the command line and remove the "rhgb" and "quiet" arguments to find out what my mistake was.

How reproducible:

Always

Steps to Reproduce:
1. Copy x64_64 live image onto a flash drive
2. Try to boot a 32-bit machine from this drive
  
Actual results:

Black screen.

Expected results:

Helpful error message that the detected architecture is unsupported.
Comment 1 Fedora End Of Life 2013-07-03 20:24:00 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Ingo van Lil 2013-07-05 14:49:27 EDT
Still reproducible with the Fedora 19 live image.
Comment 3 Fedora End Of Life 2015-01-09 12:11:27 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Ingo van Lil 2015-01-09 14:54:45 EST
Re-tested with the Fedora 21 x86-64 live medium. The kernel now displays a clear error message when trying to boot on a 32-bit system:

This kernel requires an x86-64 CPU, but only detected an i686 CPU.
Unable to boot - please use a kernel appropriate for your CPU.

Issue fixed, closing this bug report.

Note You need to log in before you can comment on or make changes to this bug.